# GendersException
declaration: package: gov.llnl.lc.chaos, class: GendersException

Package gov.llnl.lc.chaos

# Class GendersException

java.lang.Object
java.lang.Throwable
java.lang.Exception
gov.llnl.lc.chaos.GendersException

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `GendersExceptionInternal`, `GendersExceptionNotfound`, `GendersExceptionOpen`, `GendersExceptionParameters`, `GendersExceptionParse`, `GendersExceptionRead`, `GendersExceptionSyntax`

public class GendersException extends Exception
Genders Exception class, parent to all specific Genders Exceptions.

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`GendersException(String msg)`

## Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### GendersException

public GendersException(String msg)